summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Sturmlechner <asturm@gentoo.org>2018-10-15 23:40:08 +0200
committerAndreas Sturmlechner <asturm@gentoo.org>2018-10-16 00:07:24 +0200
commit8d6ed30ecbb830f5c40be33b4968253756ec188e (patch)
tree6cdbd5b4ba668ae1222af9e8c5fadfce5ac1027a /sci-libs
parentsci-libs/scalapack: https (diff)
downloadgentoo-8d6ed30ecbb830f5c40be33b4968253756ec188e.tar.gz
gentoo-8d6ed30ecbb830f5c40be33b4968253756ec188e.tar.bz2
gentoo-8d6ed30ecbb830f5c40be33b4968253756ec188e.zip
sci-libs/scalapack: Missing || die
Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org> Package-Manager: Portage-2.3.51, Repoman-2.3.11
Diffstat (limited to 'sci-libs')
-rw-r--r--sci-libs/scalapack/scalapack-2.0.2.ebuild4
1 files changed, 3 insertions, 1 deletions
diff --git a/sci-libs/scalapack/scalapack-2.0.2.ebuild b/sci-libs/scalapack/scalapack-2.0.2.ebuild
index 63623ecfac8..6eca44f0363 100644
--- a/sci-libs/scalapack/scalapack-2.0.2.ebuild
+++ b/sci-libs/scalapack/scalapack-2.0.2.ebuild
@@ -23,7 +23,9 @@ DEPEND="${RDEPEND}
src_prepare() {
cmake-utils_src_prepare
- use static-libs && mkdir "${WORKDIR}/${PN}_static"
+ if use static-libs; then
+ mkdir "${WORKDIR}/${PN}_static" || die
+ fi
# mpi does not have a pc file
sed -i -e 's/mpi//' scalapack.pc.in || die
}